# WOKNT_Extension.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum

WOKNT_Extension {
WOKNT_CFile, WOKNT_HFile, WOKNT_CDLFile, WOKNT_ODLFile,
WOKNT_IDLFile, WOKNT_CXXFile, WOKNT_HXXFile, WOKNT_IXXFile,
WOKNT_JXXFile, WOKNT_LXXFile, WOKNT_GXXFile, WOKNT_INCFile,
WOKNT_PXXFile, WOKNT_F77File, WOKNT_CSHFile, WOKNT_DBFile,
WOKNT_FDDBFile, WOKNT_DDLFile, WOKNT_HO2File, WOKNT_LibSchemaFile,
WOKNT_AppSchemaFile, WOKNT_LexFile, WOKNT_YaccFile, WOKNT_PSWFile,
WOKNT_LWSFile, WOKNT_TemplateFile, WOKNT_ObjectFile, WOKNT_MFile,
WOKNT_CompressedFile, WOKNT_ArchiveFile, WOKNT_DSOFile, WOKNT_DATFile,
WOKNT_LispFile, WOKNT_IconFile, WOKNT_TextFile, WOKNT_TarFile,
WOKNT_LIBFile, WOKNT_DEFile, WOKNT_RCFile, WOKNT_RESFile,
WOKNT_IMPFile, WOKNT_EXPFile, WOKNT_PDBFile, WOKNT_DLLFile,
WOKNT_EXEFile, WOKNT_UnknownFile, WOKNT_NoExtFile
}

## Enumeration Type Documentation

enum WOKNT_Extension

Enumeration values:

  WOKNT_CFile |
  WOKNT_HFile |
  WOKNT_CDLFile |
  WOKNT_ODLFile |
  WOKNT_IDLFile |
  WOKNT_CXXFile |
  WOKNT_HXXFile |
  WOKNT_IXXFile |
  WOKNT_JXXFile |
  WOKNT_LXXFile |
  WOKNT_GXXFile |
  WOKNT_INCFile |
  WOKNT_PXXFile |
  WOKNT_F77File |
  WOKNT_CSHFile |
  WOKNT_DBFile |
  WOKNT_FDDBFile |
  WOKNT_DDLFile |
  WOKNT_HO2File |
  WOKNT_LibSchemaFile |
  WOKNT_AppSchemaFile |
  WOKNT_LexFile |
  WOKNT_YaccFile |
  WOKNT_PSWFile |
  WOKNT_LWSFile |
  WOKNT_TemplateFile |
  WOKNT_ObjectFile |
  WOKNT_MFile |
  WOKNT_CompressedFile |
  WOKNT_ArchiveFile |
  WOKNT_DSOFile |
  WOKNT_DATFile |
  WOKNT_LispFile |
  WOKNT_IconFile |
  WOKNT_TextFile |
  WOKNT_TarFile |
  WOKNT_LIBFile |
  WOKNT_DEFile |
  WOKNT_RCFile |
  WOKNT_RESFile |
  WOKNT_IMPFile |
  WOKNT_EXPFile |
  WOKNT_PDBFile |
  WOKNT_DLLFile |
  WOKNT_EXEFile |
  WOKNT_UnknownFile |
  WOKNT_NoExtFile |